com.google.cloud.dataflow.examples.complete

## Class TfIdf.WriteTfIdf

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<KV<String,KV<URI,Double>>>,PDone>
  - - com.google.cloud.dataflow.examples.complete.TfIdf.WriteTfIdf

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  TfIdf

    public static class TfIdf.WriteTfIdf
    extends PTransform<PCollection<KV<String,KV<URI,Double>>>,PDone>

A `PTransform` to write, in CSV format, a mapping from term and URI to score.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Constructor Summary

Constructors
Constructor and Description
`WriteTfIdf(String output)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDone` `apply(PCollection<KV<String,KV<URI,Double>>> wordToUriAndTfIdf)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WriteTfIdf

    public WriteTfIdf(String output)

### Method Detail

#### apply

    public PDone apply(PCollection<KV<String,KV<URI,Double>>> wordToUriAndTfIdf)

Overrides:
  `apply` in class `PTransform<PCollection<KV<String,KV<URI,Double>>>,PDone>`